Show bank batch
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Treasury Bank Batches
Show bank batch
Show a generated bank batch and its lines.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
bank_batches
/
{id}
Show bank batch
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the bank batch
The numeric ID of the account
Response
Success